Subject: bug#54657: 29.0.50; 100% CPU usage with eww on https://blogsurf.io/

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Apr 2022 15:21:14 +0300

> Resent-From: Eli Zaretskii <[email-masked]>
> Original-Sender: "Debbugs-submit" <[email-masked]>
> Resent-CC: [email-masked]
> Resent-Sender: [email-masked]
> Date: Sun, 03 Apr 2022 15:07:53 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Lars Ingebrigtsen <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Sun, 03 Apr 2022 13:52:42 +0200
> > 
> > Wow.  If you call
> > 
> > (benchmark-run 1 (libxml-parse-html-region (point-min) (point-max)))
> > 
> > in the 12MB source buffer for that page, it reports 30 seconds?  It
> > reports 0.01 seconds for me.
> 
> I didn't do the above, I just stepped through eww-display-html in
> Edebug, and looked at my watch (30 sec is easy to measure without any
> instruments).
> 
> So what is your version of libxml2?  Maybe that is the important
> aspect here.

And in addition, I hope you verified that when
libxml-parse-html-region finishes in your case after so little time,
it returns the document's DOM, not something trivial?